SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::RangeNode< range_type > Struct Template Reference

`#include <slikenet/DS_RangeList.h>`

Inheritance diagram for DataStructures::RangeNode< range_type >:

## Public Member Functions

| RangeNode ()
| ~RangeNode ()
| RangeNode (range_type min, range_type max)

## Public Attributes

range_type | minIndex
range_type | maxIndex

## Detailed Description

### template<class range_type>
struct DataStructures::RangeNode< range_type >

Definition at line 33 of file DS_RangeList.h.

## Constructor & Destructor Documentation

template<class range_type>

DataStructures::RangeNode< range_type >::RangeNode | ( |  | ) |

inline

Definition at line 35 of file DS_RangeList.h.

template<class range_type>

DataStructures::RangeNode< range_type >::~RangeNode | ( |  | ) |

inline

Definition at line 36 of file DS_RangeList.h.

template<class range_type>

DataStructures::RangeNode< range_type >::RangeNode | ( | range_type | min,
|  | range_type | max
| ) |  |

inline

Definition at line 37 of file DS_RangeList.h.

## Member Data Documentation

template<class range_type>

range_type DataStructures::RangeNode< range_type >::maxIndex

Definition at line 39 of file DS_RangeList.h.

Referenced by DataStructures::RangeNode< DatagramSequenceNumberType >::RangeNode(), and DataStructures::RangeNodeComp().

template<class range_type>

range_type DataStructures::RangeNode< range_type >::minIndex

Definition at line 38 of file DS_RangeList.h.

Referenced by DataStructures::RangeNode< DatagramSequenceNumberType >::RangeNode(), and DataStructures::RangeNodeComp().

The documentation for this struct was generated from the following file:

- Source/include/slikenet/DS_RangeList.h